Subject: Re: [RFC][PATCH] send-email: add --[no-]xmailer option

From: Luis Henriques <[email-masked]>
Date: Thu, 4 Dec 2014 19:22:45 +0000

On Wed, Dec 03, 2014 at 08:56:45AM -0800, Junio C Hamano wrote:
> Eric Wong <[email-masked]> writes:
> 
> > Luis Henriques <[email-masked]> wrote:
> >> On Mon, Mar 24, 2014 at 09:38:27PM +0000, Luis Henriques wrote:
> >> > Add --[no-]xmailer that allows a user to disable adding the 'X-Mailer:'
> >> > header to the email being sent.
> >> >
> >> 
> >> Ping
> >> 
> >> It's been a while since I sent this patch.  Is there any interest in
> >> having this switch in git-send-email?
> >
> > I wasn't paying attention when the original was sent, but this
> > looks good to me.
> >
> > Acked-by: Eric Wong <[email-masked]>
> >
> >> I honestly don't like disclosing too much information about my system,
> >> in this case which MUA I'm using and its version.
> >
> > Right on.  I would even favor this being the default.
> >
> > Auto-generated Message-Id headers also shows the use of git-send-email;
> > perhaps there can be a way to configure that, too.  However,
> > git-send-email respects manually-added Message-Id headers in the
> > original patch, so it's less of a problem, I suppose.
> 
> I actually do not think this is a good idea from debuggability.

Do you think this could be merged with yet another switch?  I can't
think of a name for the switch, something like... "--hide-msgid"?

Another option would be to re-work the --no-xmailer switch to change
it into a "--hide-id" (or something), where both the "X-Mailer:"
header would be dropped and the Message-id would be obfuscated.

Cheers,
-- 
Luís